Subject: Re: [PATCH v2] trace2: prevent segfault on config collection where no value specified

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Jan 2025 10:02:45 -0800

"D. Ben Knoble" <[email-masked]> writes:

> I was curious what changed, so I found 792a3850fa (trace2: prevent
> segfault on config collection with valueless true, 2025-01-10) and I
> noticed this:
>
> -       redacted = redact_arg(value);
> +       redacted = value ? redact_arg(value): NULL;

Oh, I do not think I tweaked any of the code, other than fixing the
new test that was not properly formatted.  Mostly I touched up the
log message.

Will touch it up.  Thanks for a careful reading.